summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Lockywolf2023-05-26 20:40:00 +0200
committer Willy Sudiarto Raharjo2023-05-27 03:08:52 +0200
commit7d6eaf6b393430b36d4e07007f7b2034455ade3c (patch)
tree0c4c2e8fb70f3c14513d3a4a3df4c2705f40fedf
parent03744cb093088ed59ef9a99872d763212e0ac1ad (diff)
downloadslackbuilds-7d6eaf6b393430b36d4e07007f7b2034455ade3c.tar.gz
desktop/TextSnatcher: Added (tool to ORC screenshots to clipboard)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/TextSnatcher/README15
-rw-r--r--desktop/TextSnatcher/TextSnatcher.SlackBuild117
-rw-r--r--desktop/TextSnatcher/TextSnatcher.info10
-rw-r--r--desktop/TextSnatcher/doinst.sh9
-rw-r--r--desktop/TextSnatcher/slack-desc19
5 files changed, 170 insertions, 0 deletions
diff --git a/desktop/TextSnatcher/README b/desktop/TextSnatcher/README
new file mode 100644
index 0000000000..ba503bc869
--- /dev/null
+++ b/desktop/TextSnatcher/README
@@ -0,0 +1,15 @@
+TextSnatcher
+
+Copy Text from Images with ease, Perform OCR operations in seconds.
+
+## Features
+- Multiple Language Support.
+- Copy Text from images with a Drag.
+- Drag over any Image and Paste.
+- Fast and Easy to Use.
+- This application uses the Tesseract OCR 4.x for the character
+recognition.
+
+You need tesseract to support the language you need to recognise.
+
+The binary has an unusual name of com.github.rajsolai.textsnatcher
diff --git a/desktop/TextSnatcher/TextSnatcher.SlackBuild b/desktop/TextSnatcher/TextSnatcher.SlackBuild
new file mode 100644
index 0000000000..9bcc8102d5
--- /dev/null
+++ b/desktop/TextSnatcher/TextSnatcher.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+# Slackware build script for TextSnatcher
+# Copyright 2023 anonymous Earth
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=TextSnatcher
+VERSION=${VERSION:-2.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf "$PRGNAM"-"$VERSION"
+tar xvf $CWD/"$PRGNAM"-"$VERSION".tar.gz
+cd "$PRGNAM"-"$VERSION"
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+(
+ cd $PKG/usr/share/icons/hicolor/
+ ls
+ pwd
+ readarray -t baddirs < <(find . -type d -not -name '.*' -not -name hicolor -maxdepth 1 -exec basename {} \;)
+ for i in "${baddirs[@]}" ; do
+ size="${i%@2}"
+ convert -density 1200 -resize "${size}!" ./"$i"/apps/com.github.rajsolai.textsnatcher.svg ./"$i"/apps/com.github.rajsolai.textsnatcher.png
+ rm ./"$i"/apps/com.github.rajsolai.textsnatcher.svg
+ done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cd $PKG
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/TextSnatcher/TextSnatcher.info b/desktop/TextSnatcher/TextSnatcher.info
new file mode 100644
index 0000000000..22497ce9cc
--- /dev/null
+++ b/desktop/TextSnatcher/TextSnatcher.info
@@ -0,0 +1,10 @@
+PRGNAM="TextSnatcher"
+VERSION="2.0.0"
+HOMEPAGE="https://github.com/RajSolai/TextSnatcher"
+DOWNLOAD="https://github.com/RajSolai/TextSnatcher/archive/v2.0.0/TextSnatcher-2.0.0.tar.gz"
+MD5SUM="93b0200a1c3705c359e4e7f877b3ac3e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="scrot tesseract granite libhandy libportal"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.TextSnatcher_2023-05-11@lockywolf.net"
diff --git a/desktop/TextSnatcher/doinst.sh b/desktop/TextSnatcher/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/TextSnatcher/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/TextSnatcher/slack-desc b/desktop/TextSnatcher/slack-desc
new file mode 100644
index 0000000000..d02e37c0a7
--- /dev/null
+++ b/desktop/TextSnatcher/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+TextSnatcher: TextSnatcher (tool to ORC screenshots to clipboard)
+TextSnatcher:
+TextSnatcher: TextSnatcher lets the user to take a screenshot and to pass it
+TextSnatcher: through tesseract in order to obtain recognised text. The quality of
+TextSnatcher: results differs.
+TextSnatcher:
+TextSnatcher:
+TextSnatcher: The binary has an unusual name of com.github.rajsolai.textsnatcher
+TextSnatcher:
+TextSnatcher:
+TextSnatcher: